Name:      scons
Version:   4.5.2
Release:   13%{?dist}3a
Summary:   An Open Source software construction tool
License:   MIT
URL:       http://www.scons.org
Source0:   https://github.com/SCons/scons/archive/%{version}/scons-%{version}.tar.gz
Patch0:    localhost:/scons-3.1.2-mandir.patch
BuildArch: noarch

%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software. SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax. SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines. SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched. SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%prep
%setup -q
#%patch0 -p1 -b .mandir

%build

%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=%{buildroot}
export PYTHON=python3
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

mkdir -p %{buildroot}%{_mandir}/man1
pushd %{buildroot}%{_prefix}
mv *.1 share/man/man1
popd

%files 
%doc README* PKG-INFO
%license LICENSE*
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*

%changelog
* Wed Nov 8 2023 Keisuke Fujii <keisuke.fujii@kek.jp> - 4.5.2-13hepx3a
- 2nd release on MacOS13 with the latest version
- removed mandir patch
- now uses python3

* Tue Nov 7 2023 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.2-13hepx2a
- 1st release on MacOS13
- now uses python3

* Sun Jun 5 2022 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.2-12hepx1a
- 1st release on MacOS12
